using FLY.FilmCasting.AutoDie.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.FilmCasting.AutoDie.UI.Client
{
    /// <summary>
    /// PgHeatAnalyse.xaml 的交互逻辑
    /// </summary>
    public partial class PgHeatAnalyse : Page
    {
        PgHeatAnalyseVm viewModel;
        public PgHeatAnalyse()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(
            IFeedbackHeatService feedback,
            IHeatBufService heatBuf,
            IHeatCellService heatCell,
            IBulkDbService bulkDbService)
        {


            viewModel = new PgHeatAnalyseVm();
            viewModel.Init(feedback, heatBuf, heatCell, bulkDbService);
            ucThickHeat0.Init(viewModel.ucThickHeatVms[0]);
            ucThickHeat1.Init(viewModel.ucThickHeatVms[1]);
            this.DataContext = viewModel;

        }

        public void SetNumber(long number0, long number1)
        {
            viewModel.ucThickHeatVms[0].Number = number0;
            viewModel.ucThickHeatVms[1].Number = number1;
        }
    }
}
